package utils

import "os"

func FillValOfKey(key string, defaultVal string) string {
	if v := os.Getenv(key); v != "" {
		return v
	}

	//如果环境变量为空 则设置默认值
	err := os.Setenv(key, defaultVal)
	if err != nil {
		return defaultVal
	}

	return defaultVal
}
